API Docs

Global settings

Supply orders invoices

Gets all Supply Order Invoices for a selected team within a specified date range

POST/https://europe-west1-mpower-apps-production.cloudfunctions.net/api-get-supply-orders-invoices

Headers

Content-Type
application/json
string
x-api-key
<API_KEY>
string

Body Parameters

team_id
Required, not empty.
selected-team-id
string
status
Required. Must be 0, 1, or null.
0
0 | 1 | null
start_date
Required date in strict YYYY-MM-DD format.
2025-01-01
string
end_date
Required date in strict YYYY-MM-DD format. The end date is exclusive.
2026-01-01
string

cURL

curl -i \
  -X POST \
  -H "Content-Type: application/json" \
  -H "x-api-key: <API_KEY>" \
  -d '{
    "team_id": "selected-team-id",
    "status": null,
    "start_date": "2025-01-01",
    "end_date": "2026-01-01"
  }'

Response

{
  "count": 1,
  "supply_orders": [
    {
      "id": "supplyDocumentId",
      "invoices": [
        {
          "name": "Invoice name",
          "url": "https://example.com/invoice.pdf"
        }
      ]
    }
  ]
}